## akregator 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
set(KDEPIM_VERSION_NUMBER "5.7.3")
project(akregator VERSION ${KDEPIM_VERSION_NUMBER})

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.8.0")

set(KONTACTINTERFACE_LIB_VERSION "5.7.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
set(SYNDICATION_LIB_VERSION "5.7.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngine WebEngineWidgets PrintSupport)
find_package(Grantlee5 "5.1" CONFIG REQUIRED)

# Find KF5 package
find_package(KF5Crash ${KF5_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NotifyConfig ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextEditor ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Syndication ${SYNDICATION_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)

# Fix plugin support for removing theses dependancies
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)

include_directories(${akregator_SOURCE_DIR} ${akregator_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

add_subdirectory(export)
add_subdirectory(interfaces)
add_subdirectory(plugins)
add_subdirectory(configuration)
add_subdirectory(src)
add_subdirectory(kontactplugin)
add_subdirectory(kconf_update)

install(FILES akregator.renamecategories akregator.categories DESTINATION ${KDE_INSTALL_CONFDIR})

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
configure_file(akregator-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/akregator-version.h @ONLY)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/command/
    ${CMAKE_CURRENT_SOURCE_DIR}/formatter/
    ${CMAKE_CURRENT_SOURCE_DIR}/subscription/
    ${CMAKE_CURRENT_SOURCE_DIR}/feed/
    ${CMAKE_CURRENT_SOURCE_DIR}/urlhandler/
    ${CMAKE_CURRENT_SOURCE_DIR}/actions/
    ${CMAKE_CURRENT_SOURCE_DIR}/frame/
    )

add_subdirectory(icons)


########### next target ###############

set(akregator_common_SRCS)
ecm_qt_declare_logging_category(akregator_common_SRCS HEADER akregator_debug.h IDENTIFIER AKREGATOR_LOG CATEGORY_NAME org.kde.pim.akregator)

set(akregator_SRCS main.cpp mainwindow.cpp ${akregator_common_SRCS})

file(GLOB ICONS_AKREGATOR_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-akregator.png")
ecm_add_app_icon(akregator_SRCS ICONS ${ICONS_AKREGATOR_SRCS})

add_executable(akregator ${akregator_SRCS})

target_link_libraries(akregator
    KF5::Crash
    KF5::Notifications
    KF5::KontactInterface
    KF5::Libkdepim
    akregatorprivate
    akregatorinterfaces
    KF5::PimCommon
    )

install(TARGETS akregator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(akregator_articleviewer_ng_webengine_SRCS
    articleviewer-ng/webengine/articleviewerwebengine.cpp
    articleviewer-ng/webengine/articleviewerwebenginepage.cpp
    articleviewer-ng/webengine/articlehtmlwebenginewriter.cpp
    articleviewer-ng/webengine/articleviewerwebenginewidgetng.cpp
    )

set(akregator_job_SRCS
    job/downloadarticlejob.cpp
    )

set(akregatorprivate_formatter_SRCS
    formatter/articleformatter.cpp
    formatter/defaultnormalviewformatter.cpp
    formatter/defaultcombinedviewformatter.cpp
    formatter/grantleeviewformatter.cpp
    formatter/articlegrantleeobject.cpp
    )

set(akregatorprivate_frame_SRCS
    frame/webengine/webengineframe.cpp
    frame/webengine/akrwebengineviewer.cpp
    frame/frame.cpp
    frame/mainframe.cpp
    frame/framemanager.cpp
    )

set(akregatorprivate_urlhandlerwebengine_SRCS
    urlhandler/webengine/urlhandlerwebengine.cpp
    urlhandler/webengine/urlhandlerwebenginemanager.cpp
    )

set(akregatorprivate_LIB_SRCS
    akregratormigrateapplication.cpp
    ${akregatorprivate_frame_SRCS}
    ${akregatorprivate_urlhandler_SRCS}
    ${akregator_articleviewer_ng_SRCS}
    ${akregator_articleviewer_ng_webengine_SRCS}
    ${akregator_common_SRCS}
    ${akregatorprivate_formatter_SRCS}
    ${akregatorprivate_urlhandlerwebengine_SRCS}
    articleviewerwidget.cpp
    aboutdata.cpp
    trayicon.cpp
    article.cpp
    feed/feed.cpp
    feed/feedlist.cpp
    treenode.cpp
    treenodevisitor.cpp
    utils.cpp
    notificationmanager.cpp
    articlejobs.cpp
    folder.cpp
    kernel.cpp
    subscription/subscriptionlistjobs.cpp
    fetchqueue.cpp
    openurlrequest.cpp
    actions/actionmanager.cpp
    actions/actions.cpp
    )

qt5_add_resources(akregatorprivate_LIB_SRCS akregator.qrc)

add_library(akregatorprivate ${akregatorprivate_LIB_SRCS})
generate_export_header(akregatorprivate BASE_NAME akregator)

target_link_libraries(akregatorprivate
    PRIVATE
    KF5::Parts
    KF5::Notifications
    KF5::Libkdepim
    KF5::Syndication
    akregatorinterfaces
    KF5::PimCommon
    KF5::IconThemes
    KF5::PimTextEdit
    KF5::GrantleeTheme
    Grantlee5::Templates
    KF5::KIOGui
    KF5::MessageViewer
    Qt5::PrintSupport
    KF5::WebEngineViewer
    )

target_include_directories(akregatorprivate PUBLIC "$<BUILD_INTERFACE:${akregator_SOURCE_DIR}/src;${akregator_BINARY_DIR}/src>")

set_target_properties(akregatorprivate
    PROPERTIES VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )
install(TARGETS akregatorprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

########### next target ###############

set(akregator_crashwidget_SRCS
    crashwidget/crashwidget.cpp
    )

set(akregator_utils_SRCS
    utils/filtercolumnsproxymodel.cpp
    )

set(akregatorpart_command_SRCS
    command/deletesubscriptioncommand.cpp
    command/createfeedcommand.cpp
    command/createfoldercommand.cpp
    command/expireitemscommand.cpp
    command/loadfeedlistcommand.cpp
    command/editsubscriptioncommand.cpp
    command/importfeedlistcommand.cpp
    )

set(akregatorpart_widgets_SRCS
    widgets/statussearchline.cpp
    widgets/searchbar.cpp
    widgets/akregatorcentralwidget.cpp
    )

set(akregatorpart_subscription_SRCS
    subscription/subscriptionlistview.cpp
    subscription/subscriptionlistdelegate.cpp
    subscription/subscriptionlistmodel.cpp
    )

set(akregatorpart_PART_SRCS
    ${akregator_crashwidget_SRCS}
    ${akregatorpart_subscription_SRCS}
    ${akregatorpart_widgets_SRCS}
    ${akregatorpart_command_SRCS}
    ${akregator_utils_SRCS}
    ${akregator_common_SRCS}
    ${akregator_job_SRCS}
    abstractselectioncontroller.cpp
    articlematcher.cpp
    articlemodel.cpp
    pluginmanager.cpp
    selectioncontroller.cpp
    articlelistview.cpp
    actions/actionmanagerimpl.cpp
    addfeeddialog.cpp
    feed/feedpropertiesdialog.cpp
    tabwidget.cpp
    progressmanager.cpp
    akregator_part.cpp
    mainwidget.cpp
    dummystorage/storagedummyimpl.cpp
    dummystorage/storagefactorydummyimpl.cpp
    dummystorage/feedstoragedummyimpl.cpp
    )

qt5_add_dbus_adaptor(akregatorpart_PART_SRCS org.kde.akregator.part.xml akregator_part.h Akregator::Part)

ki18n_wrap_ui(akregatorpart_PART_SRCS
    ui/addfeedwidgetbase.ui
    ui/feedpropertieswidgetbase.ui
    )

add_library(akregatorpart MODULE ${akregatorpart_PART_SRCS})
generate_export_header(akregatorpart BASE_NAME akregatorpart)
target_link_libraries(akregatorpart
    akregatorinterfaces
    akregatorprivate
    KF5::KCMUtils
    KF5::NotifyConfig
    KF5::Libkdepim
    KF5::Syndication
    KF5::PimCommon
    KF5::PimTextEdit
    KF5::GrantleeTheme
    KF5::MessageViewer
    KF5::Completion
    KF5::IconThemes
    KF5::Parts
    KF5::Notifications
    Qt5::WebEngineWidgets
    KF5::WebEngineViewer
    )

install(TARGETS akregatorpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install(PROGRAMS data/org.kde.akregator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/akregator_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES data/org.kde.akregator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES data/akregator_plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install(FILES feed.protocol DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES org.kde.akregator.part.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES data/akregator.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

add_subdirectory(formatter/html)
#add_subdirectory(crashwidget/autotests)

=== src/formatter/html/CMakeLists.txt ===
install(DIRECTORY 5.2 DESTINATION ${KDE_INSTALL_DATADIR}/akregator/grantleetheme/ )

## akregator 17.04.3

=== debian/changelog ===
akregator (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:46 +0100

akregator (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Initial split from kdepim
  * Refresh patches
  * Add build depends on libqt5webchannel-dev and libqt5webengine5-dev
  * Breaks/replaces on old kdepim-doc
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * Build dep on qtpositioning5-dev
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

  [ Darin Miller ]
  * updated lintian-overrides to point to correct symlink 

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:16 +0100

kdepim (4:16.08.1-1~2.gbpb36d9f) UNRELEASED; urgency=medium

  ** SNAPSHOT build @b36d9f5ab35ffde3ed81e8616b1f61966d87f80b **

  [ Maximiliano Curia ]
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Update changelog for 4:16.04.3-2~1.gbp1d9499 release

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Refresh patches

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 14:32:28 +0200

kdepim (4:16.04.3-1) unstable; urgency=medium

  * Add missing runtime dependencies.
    Thanks to Francois Marier for reporting and investigating the issue
    (Closes: 831535)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 21:52:45 +0200

kdepim (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:33:02 +0200

kdepim (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add kdepim-addons as a recommends.
    Thanks to Martin Steigerwald for reporting (Closes: 826746)
  * Bump akonadi-server version dependency.
    Thanks to Diederik de Haas for reporting. (Closes: 826865)
  * Drop obsolete qtquick1 build dependency
  * Drop breaks against libkdepim4 to allow co installabity
  * Bump mailcommon build dependency

  [ Jeremy Bicha ]
  * Drop obsolete build-dependency on link-grammar (Closes: 825715)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 22:50:01 +0200

kdepim (4:16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add missing dependency on akonadi-server.
  * Add missing dependency on kdepim-runtime for kmail.
  * Refresh patches
  * Update build dependencies to follow the package version instead of the libraries soversions.
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing break/replaces (oxygen5-icon-themes)
  * Drop moved away packages
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Update test dependenccies
  * Add missing Breaks/Replaces

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:37:32 +0200

kdepim (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Attempt to fix fuzz in kubuntu_debianize_akregator_feed 
  * Another attempt at de-fuzzing patch. 
  * Stop trying to fix and recreated kubuntu_debianize_akregator_default.diff 
  * I don't know what the ignore file is suppose to do, but it is not
    ingnoring. We are failing at the debian patch we do not want. Removing
    from series file. 
  * Add dh_fixperms for two executable desktop files. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:10 -0700

kdepim (4:15.12.1-1ubuntu6) xenial; urgency=medium

  * So that didn't actually prevent the tests from running, so remove the
    whole testsetup 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 20:44:27 +0100

kdepim (4:15.12.1-1ubuntu5) xenial; urgency=medium

  * Disable Autopkgtests as the tests don't pass upstream either 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 15:00:17 +0100

kdepim (4:15.12.1-1ubuntu4) xenial; urgency=medium

  * Add missing epoch ktnef build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:20:30 -0800

kdepim (4:15.12.1-1ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:03:37 -0800

kdepim (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Fix epochs on build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 15:40:37 -0800

kdepim (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes:
    Kept all breaks and replaces. 
  * Add missing files. Fix spelling error in control. 
  * Trigger rebuild, no changes. 

  [ Clive Johnston ]
  * Removing etc/xdg catchall in kmail.install
  * Adding two missing files to kmail.install 

  [ Scarlett Clark ]
  * Bump build dependencies version for pim*. 



=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5akonadiserver-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 17.04.3~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5libkleo-dev (>= 4:17.04.3~),
               libkf5messagecomposer-dev (>= 4:17.04.3~),
               libkf5messagecore-dev (>= 4:17.04.3~),
               libkf5messagelist-dev (>= 4:17.04.3~),
               libkf5messageviewer-dev (>= 4:17.04.3~),
               libkf5mimetreeparser-dev (>= 4:17.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syndication-dev (>= 17.04.3~),
               libkf5templateparser-dev (>= 4:17.04.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:17.04.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator

Package: akregator
Section: web
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

## akregator 17.08.3

=== debian/changelog ===
akregator (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Do not ship development symlinks of private libraries.
  * Update the patches:
    - debianize_akregator_default.diff: refresh, restore DEP3 headers, and
      apply again
    - kubuntu_debianize_akregator_default.diff: remove, as it is not for Debian
  * Simplify watch file, and switch it to https.
  * Update lintian overrides.
  * Remove the autopkgtest stuff, since there are no tests to execute.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove the manual kio dependency, as it is injected automatically.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:40:30 +0100

akregator (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Fix Vcs-Git link to point to correct repo.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:50:37 +0100

akregator (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.0.
  * Update build-deps and deps with the info from cmake
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:11 +0200

akregator (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:46 +0000

akregator (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:02 +0000

akregator (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:27 +0000

akregator (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:08:42 +0000

akregator (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:59 +0000

akregator (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:02 +0000

akregator (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:41 +0000

akregator (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:26 +0000

akregator (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 22:13:14 +0000

akregator (4:16.11.90-0neon) xenial; urgency=medium

  * Initial release based on the split of kdepim

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 12 Sep 2016 16:03:32 +0200

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.35.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadimime-dev (>= 4:17.08~),
               libkf5crash-dev (>= 5.35.0~),
               libkf5doctools-dev (>= 5.35.0~),
               libkf5grantleetheme-dev (>= 17.08.3~),
               libkf5iconthemes-dev (>= 5.35.0~),
               libkf5kcmutils-dev (>= 5.35.0~),
               libkf5kontactinterface-dev (>= 17.08.3~),
               libkf5libkdepim-dev (>= 4:17.08.3~),
               libkf5libkleo-dev (>= 4:17.08.3~),
               libkf5messageviewer-dev (>= 4:17.08.3~),
               libkf5notifications-dev (>= 5.35.0~),
               libkf5notifyconfig-dev (>= 5.35.0~),
               libkf5parts-dev (>= 5.35.0~),
               libkf5pimcommon-dev (>= 4:17.08.3~),
               libkf5pimtextedit-dev (>= 17.08.3~),
               libkf5syndication-dev (>= 17.08.3~),
               libkf5texteditor-dev (>= 5.35.0~),
               libkf5webengineviewer-dev (>= 4:17.08.3~),
               libkf5xmlgui-dev (>= 5.35.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akregator.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akregator.git

Package: akregator
Section: web
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# do not ship development stuff
	find debian/akregator -name '*.so' -type l -delete

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdepim-dbg (<= 4:15.12.1-1~~)'

## akregator 17.12.3

=== debian/changelog ===
akregator (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * use secure copyright format uri.
  * small fixes in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:22:50 +0200

akregator (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Update patch hunks.
  * Remove not needed staza to disable build tests.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:30 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadimime-dev (>= 4:17.12.2~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5grantleetheme-dev (>= 17.12.3~),
               libkf5iconthemes-dev (>= 5.39.0~),
               libkf5kcmutils-dev (>= 5.39.0~),
               libkf5kontactinterface-dev (>= 17.12.3~),
               libkf5libkdepim-dev (>= 4:17.12.3~),
               libkf5libkleo-dev (>= 4:17.12.3~),
               libkf5messageviewer-dev (>= 4:17.12.3~),
               libkf5notifications-dev (>= 5.39.0~),
               libkf5notifyconfig-dev (>= 5.39.0~),
               libkf5parts-dev (>= 5.39.0~),
               libkf5pimcommon-dev (>= 4:17.12.3~),
               libkf5pimtextedit-dev (>= 17.12.3~),
               libkf5syndication-dev (>= 17.12.3~),
               libkf5texteditor-dev (>= 5.39.0~),
               libkf5webengineviewer-dev (>= 4:17.12.3~),
               libkf5xmlgui-dev (>= 5.39.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
               qtwebengine5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git

Package: akregator
Section: web
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 17.12.3-0ubuntu1+9.0trisquel1

=== debian/changelog ===
akregator (4:17.12.3-0ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Patched feeds for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Jun 2020 22:23:20 +0000

akregator (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:58 +0000

akregator (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:34 +0000

akregator (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * Refresh debian/kubuntu feed patches
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:22 +0000

## akregator 18.04.3

=== debian/changelog ===
akregator (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:44 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5akonadimime-dev (>= 4:18.04.3~),
               libkf5akonadiserver-dev (>= 4:18.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.04.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 18.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 18.04.3~),
               libkf5libkdepim-dev (>= 4:18.04.3~),
               libkf5libkleo-dev (>= 4:18.04.3~),
               libkf5messagecomposer-dev (>= 4:18.04.3~),
               libkf5messagecore-dev (>= 4:18.04.3~),
               libkf5messagelist-dev (>= 4:18.04.3~),
               libkf5messageviewer-dev (>= 4:18.04.3~),
               libkf5mimetreeparser-dev (>= 4:18.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:18.04.3~),
               libkf5pimtextedit-dev (>= 18.04.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syndication-dev (>= 18.04.3~),
               libkf5templateparser-dev (>= 4:18.04.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:18.04.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator

Package: akregator
Section: web
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

## akregator 18.08.1

=== debian/changelog ===
akregator (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:03 +0200

akregator (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:20:01 +0200

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadimime-dev (>= 4:17.12.2~),
               libkf5crash-dev (>= 5.47.0~),
               libkf5doctools-dev (>= 5.47.0~),
               libkf5grantleetheme-dev (>= 18.08.1~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5kontactinterface-dev (>= 18.08.1~),
               libkf5libkdepim-dev (>= 4:18.08.1~),
               libkf5libkleo-dev (>= 4:18.08.1~),
               libkf5messageviewer-dev (>= 4:18.08.1~),
               libkf5notifications-dev (>= 5.47.0~),
               libkf5notifyconfig-dev (>= 5.47.0~),
               libkf5parts-dev (>= 5.47.0~),
               libkf5pimcommon-dev (>= 4:18.08.1~),
               libkf5pimtextedit-dev (>= 18.08.1~),
               libkf5syndication-dev (>= 18.08.1~),
               libkf5texteditor-dev (>= 5.47.0~),
               libkf5webengineviewer-dev (>= 4:18.08.1~),
               libkf5xmlgui-dev (>= 5.47.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtwebengine5-dev (>= 5.9.0~),
Standards-Version: 4.2.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git

Package: akregator
Section: web
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.3")
+set(KDEPIM_VERSION_NUMBER "5.9.3")
 project(akregator VERSION ${KDEPIM_VERSION_NUMBER})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -25,8 +25,9 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
+
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -37,16 +38,16 @@
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 
-set(KONTACTINTERFACE_LIB_VERSION "5.7.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
-set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
-set(SYNDICATION_LIB_VERSION "5.7.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.9.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.9.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.9.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.9.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.9.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.9.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.9.3")
+set(SYNDICATION_LIB_VERSION "5.9.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngine WebEngineWidgets PrintSupport)
 find_package(Grantlee5 "5.1" CONFIG REQUIRED)

=== debian/changelog ===
akregator (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Akregator crashes very often, WebEngine thread safety issue"
    Don-t-crash-with-Qt-5.11.patch (Closes: #910852)
  * Add patch to deal with rss feeds from Firefox
    Fix-Bug-402639-akregator-doesn-t-know-how-to-deal-wi.patch
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Tue, 05 Mar 2019 00:23:31 +0100

akregator (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:03:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
-
-override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
 
 override_dh_auto_install:
 	$(overridden_command)

## akregator 18.08.3.1

=== icons/CMakeLists.txt ===
ecm_install_icons( ICONS 128-apps-akregator.png  16-apps-akregator_empty.png  16-apps-akregator.png  22-apps-akregator.png  256-apps-akregator.png  32-apps-akregator.png  48-apps-akregator.png  64-apps-akregator.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== debian/changelog ===
akregator (4:18.08.3.1-2) unstable; urgency=medium

  * update changelog

 -- deepin <lichenggang@uniontech.com>  Tue, 22 Jun 2021 21:05:30 +0800
